Bug 1708928 - Review Request: libstrangle - Frame rate limiter for Linux
Summary: Review Request: libstrangle - Frame rate limiter for Linux
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2019-05-11 18:01 UTC by Artem
Modified: 2020-08-10 00:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-10 00:58:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Artem 2019-05-11 18:01:58 UTC
Spec URL: https://atim.fedorapeople.org/for-review/libstrangle.spec
SRPM URL: https://atim.fedorapeople.org/for-review/libstrangle-0.0.4-8.fc30.src.rpm

Description:
Frame rate limiter for Linux/OpenGL/Vulkan.

Fedora Account System Username: atim

Working COPR: https://copr.fedorainfracloud.org/coprs/atim/libstrangle

Notes:
This some kind of analog very popular software MSI Aterburner on Windows. There is no working alternative for this to date.

Comment 2 Robert-André Mauchin 🐧 2019-06-05 21:46:03 UTC
 - Libs should not be installed in hardcoded %{_prefix}/lib/ but %{_libdir} Maybe patch LIB64_PATH/LIB32_PATH in Makefile to point to the correct directories. (check if it works correctly)

 - I can't build it:

DEBUG util.py:587:  Last metadata expiration check: 0:00:23 ago on Wed Jun  5 23:28:14 2019.
DEBUG util.py:585:  BUILDSTDERR: No matching package to install: 'glibc-devel(x86-32)'
DEBUG util.py:585:  BUILDSTDERR: Not all dependencies satisfied
DEBUG util.py:585:  BUILDSTDERR: Error: Some packages could not be found.

Does not work on Koji either. https://koji.fedoraproject.org/koji/taskinfo?taskID=35319077

I have no idea how you build it on COPR with no issue.

Also you would need to patch the makefile to use Fedora defauls cflags and ldflags.

Try asking on devel what's wrong with that.

Comment 3 Robert-André Mauchin 🐧 2019-06-05 21:51:15 UTC
Also I don't think it's ok to put both 32 bits and 64 bits libraries in the 64 bits package. You should build 32 bits lib in the i686 arch and 64 bits lib in the x86_64 arch.

Comment 4 Package Review 2020-07-10 00:57:18 UTC
This is an automatic check from review-stats script.

This review request ticket hasn't been updated for some time. We're sorry
it is taking so long. If you're still interested in packaging this software
into Fedora repositories, please respond to this comment clearing the
NEEDINFO flag.

You may want to update the specfile and the src.rpm to the latest version
available and to propose a review swap on Fedora devel mailing list to increase
chances to have your package reviewed. If this is your first package and you
need a sponsor, you may want to post some informal reviews. Read more at
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group.

Without any reply, this request will shortly be considered abandoned
and will be closed.
Thank you for your patience.

Comment 5 Package Review 2020-08-10 00:58:55 UTC
This is an automatic action taken by review-stats script.

The ticket submitter failed to clear the NEEDINFO flag in a month.
As per https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews
we consider this ticket as DEADREVIEW and proceed to close it.


Note You need to log in before you can comment on or make changes to this bug.